/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Dao;


import LoginDb.DbHandler;
import java.sql.CallableStatement;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;

/**
 *
 * @author 1242938
 */
public class ForceDebitCapitalisationDao {

    public String ForceDebitCapitalisationProc(String accNo, String pacsId, String frcdInt, String tellerId) {
        Connection con = null;
        CallableStatement proc = null;
        String res = null;


        try {
            con = DbHandler.getDBConnection();
            proc = con.prepareCall("{ call operations2.POST_FORCE_DR_CAP(?,?,?,?,?) }");

            proc.setString(1, accNo);
            proc.setString(2, pacsId);
            proc.setString(3, frcdInt);
            proc.setString(4, tellerId);
            proc.registerOutParameter(5, OracleTypes.VARCHAR);


            proc.executeUpdate();

          //  res = proc.getString(5);//error message

        } catch (Exception e) {
           // e.printStackTrace();
           // System.out.println("Exception occured  in ForceDebitCapitalisationProc for user Id :" + tellerId);
           System.out.println("Error occurred during processing."); 
           res= "Error occured. Please try again";
        } finally {
            try {
                if (con != null) {
                    con.close();
                }
            } catch (Exception e) {
               // e.printStackTrace();
               System.out.println("Error occurred during connection close.");
            }
        }

        return res;
    }

    
}
